stages:
  - generate
  - commit

generate-go:
  stage: generate
  image:
    name: registry.gitlab.com/witchbrew/proto/proto-go-generator-docker:master
  script:
    - mkdir -p go-out
    - protoc --go_out=go-out --go-grpc_out=go-out ask.proto
  artifacts:
    paths:
      - ./go-out

commit-go:
  stage: commit
  image:
    name: alpine/git:v2.26.2
    entrypoint: [ "/bin/sh", "-c" ]
  before_script:
    - echo -e "machine gitlab.com\nlogin gitlab-ci-token\npassword ${TOKEN}" > ~/.netrc
  script:
    - git status
    - COMMIT_MSG=$(git log -1 --pretty=%B)
    - git clone https://gitlab.com/witchbrew/september/go/askgrpc.git
    - cp go-out/* ./askgrpc/
    - cd askgrpc
    - git config --local user.email "gitlab-ci@gitlab.com"
    - git config --local user.name "GitLab CI"
    - git add --all
    - 'git commit --message "AUTOMATIC: $COMMIT_MSG"'
    - git push
  dependencies:
    - generate-go